Package be.fgov.ehealth.dics.core.v4.refdata

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.dics.core.v4.refdata.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v4.refdata package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.refdata

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AppendixKeyType`
  `createAppendixKeyType()`
  Create an instance of `AppendixKeyType`
  `AtcClassificationKeyType`
  `createAtcClassificationKeyType()`
  Create an instance of `AtcClassificationKeyType`
  `DeliveryModusKeyType`
  `createDeliveryModusKeyType()`
  Create an instance of `DeliveryModusKeyType`
  `DeliveryModusSpecificationKeyType`
  `createDeliveryModusSpecificationKeyType()`
  Create an instance of `DeliveryModusSpecificationKeyType`
  `DeviceTypeKeyType`
  `createDeviceTypeKeyType()`
  Create an instance of `DeviceTypeKeyType`
  `FormCategoryKeyType`
  `createFormCategoryKeyType()`
  Create an instance of `FormCategoryKeyType`
  `NoGenericPrescriptionReasonKeyType`
  `createNoGenericPrescriptionReasonKeyType()`
  Create an instance of `NoGenericPrescriptionReasonKeyType`
  `NoSwitchReasonKeyType`
  `createNoSwitchReasonKeyType()`
  Create an instance of `NoSwitchReasonKeyType`
  `PackagingClosureKeyType`
  `createPackagingClosureKeyType()`
  Create an instance of `PackagingClosureKeyType`
  `PackagingMaterialKeyType`
  `createPackagingMaterialKeyType()`
  Create an instance of `PackagingMaterialKeyType`
  `PackagingTypeKeyType`
  `createPackagingTypeKeyType()`
  Create an instance of `PackagingTypeKeyType`
  `PharmaceuticalFormKeyType`
  `createPharmaceuticalFormKeyType()`
  Create an instance of `PharmaceuticalFormKeyType`
  `ReimbursementCriterionKeyType`
  `createReimbursementCriterionKeyType()`
  Create an instance of `ReimbursementCriterionKeyType`
  `RouteOfAdministrationKeyType`
  `createRouteOfAdministrationKeyType()`
  Create an instance of `RouteOfAdministrationKeyType`
  `StandardUnitKeyFamhpType`
  `createStandardUnitKeyFamhpType()`
  Create an instance of `StandardUnitKeyFamhpType`
  `SubstanceKeyType`
  `createSubstanceKeyType()`
  Create an instance of `SubstanceKeyType`
  `VirtualFormKeyType`
  `createVirtualFormKeyType()`
  Create an instance of `VirtualFormKeyType`
  `WadaKeyType`
  `createWadaKeyType()`
  Create an instance of `WadaKeyType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.refdata

- ## Method Details

  - ### createWadaKeyType

    public WadaKeyType createWadaKeyType()
    Create an instance of `WadaKeyType`
    Returns:
      the new instance of `WadaKeyType`

  - ### createVirtualFormKeyType

    public VirtualFormKeyType createVirtualFormKeyType()
    Create an instance of `VirtualFormKeyType`
    Returns:
      the new instance of `VirtualFormKeyType`

  - ### createReimbursementCriterionKeyType

    public ReimbursementCriterionKeyType createReimbursementCriterionKeyType()
    Create an instance of `ReimbursementCriterionKeyType`
    Returns:
      the new instance of `ReimbursementCriterionKeyType`

  - ### createDeliveryModusKeyType

    public DeliveryModusKeyType createDeliveryModusKeyType()
    Create an instance of `DeliveryModusKeyType`
    Returns:
      the new instance of `DeliveryModusKeyType`

  - ### createNoGenericPrescriptionReasonKeyType

    public NoGenericPrescriptionReasonKeyType createNoGenericPrescriptionReasonKeyType()
    Create an instance of `NoGenericPrescriptionReasonKeyType`
    Returns:
      the new instance of `NoGenericPrescriptionReasonKeyType`

  - ### createNoSwitchReasonKeyType

    public NoSwitchReasonKeyType createNoSwitchReasonKeyType()
    Create an instance of `NoSwitchReasonKeyType`
    Returns:
      the new instance of `NoSwitchReasonKeyType`

  - ### createRouteOfAdministrationKeyType

    public RouteOfAdministrationKeyType createRouteOfAdministrationKeyType()
    Create an instance of `RouteOfAdministrationKeyType`
    Returns:
      the new instance of `RouteOfAdministrationKeyType`

  - ### createPharmaceuticalFormKeyType

    public PharmaceuticalFormKeyType createPharmaceuticalFormKeyType()
    Create an instance of `PharmaceuticalFormKeyType`
    Returns:
      the new instance of `PharmaceuticalFormKeyType`

  - ### createSubstanceKeyType

    public SubstanceKeyType createSubstanceKeyType()
    Create an instance of `SubstanceKeyType`
    Returns:
      the new instance of `SubstanceKeyType`

  - ### createAtcClassificationKeyType

    public AtcClassificationKeyType createAtcClassificationKeyType()
    Create an instance of `AtcClassificationKeyType`
    Returns:
      the new instance of `AtcClassificationKeyType`

  - ### createDeliveryModusSpecificationKeyType

    public DeliveryModusSpecificationKeyType createDeliveryModusSpecificationKeyType()
    Create an instance of `DeliveryModusSpecificationKeyType`
    Returns:
      the new instance of `DeliveryModusSpecificationKeyType`

  - ### createPackagingTypeKeyType

    public PackagingTypeKeyType createPackagingTypeKeyType()
    Create an instance of `PackagingTypeKeyType`
    Returns:
      the new instance of `PackagingTypeKeyType`

  - ### createDeviceTypeKeyType

    public DeviceTypeKeyType createDeviceTypeKeyType()
    Create an instance of `DeviceTypeKeyType`
    Returns:
      the new instance of `DeviceTypeKeyType`

  - ### createPackagingClosureKeyType

    public PackagingClosureKeyType createPackagingClosureKeyType()
    Create an instance of `PackagingClosureKeyType`
    Returns:
      the new instance of `PackagingClosureKeyType`

  - ### createPackagingMaterialKeyType

    public PackagingMaterialKeyType createPackagingMaterialKeyType()
    Create an instance of `PackagingMaterialKeyType`
    Returns:
      the new instance of `PackagingMaterialKeyType`

  - ### createAppendixKeyType

    public AppendixKeyType createAppendixKeyType()
    Create an instance of `AppendixKeyType`
    Returns:
      the new instance of `AppendixKeyType`

  - ### createFormCategoryKeyType

    public FormCategoryKeyType createFormCategoryKeyType()
    Create an instance of `FormCategoryKeyType`
    Returns:
      the new instance of `FormCategoryKeyType`

  - ### createStandardUnitKeyFamhpType

    public StandardUnitKeyFamhpType createStandardUnitKeyFamhpType()
    Create an instance of `StandardUnitKeyFamhpType`
    Returns:
      the new instance of `StandardUnitKeyFamhpType`